@echo off

echo.
echo **** KapGenAll.cmd ****
echo.
echo This simple script just looks for all maps included in calibration data file
echo and, for any chart present in the calibration file but not in the BSB folder,
echo calls KapGen to generate the missing charts. The script can download hundreds
echo of charts! Please proceed only if this is your real intent (Ctrl-C to exit).
echo.
pause
echo.

cd..

echo Conversion staring at
Date /T
Time /T
echo.
echo ===================================================

FOR /F "tokens=1 delims= " %%A IN ('bin\mc2bsbh -l Calibration\CHARTCAL.DIR') DO (
  if not exist BSB\%%A.kap (
    call KapGen %%A
  )
)

echo.
echo ===================================================
echo.
echo Conversion finished at
echo.
Time /T
echo.
pause
